### Class

# Shell WindowTracker

#### Description [src]

    final class Shell.WindowTracker : GObject.Object
    {
      /* No available fields */
    }

Associate windows with applications

Maintains a mapping from windows to applications (.desktop file ids). It currently implements this with some heuristics on the WM_CLASS X11 property (and some static override regexps); in the future, we want to have it also track through startup-notification.

#### Ancestors

- GObject

#### Functions

###### shell_window_tracker_get_default

No description available.

#### Instance methods

###### shell_window_tracker_get_app_from_pid

Look up the application corresponding to a process.

###### shell_window_tracker_get_focus_app

No description available.

###### shell_window_tracker_get_startup_sequences

No description available.

###### shell_window_tracker_get_window_app

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Shell.WindowTracker:focus-app

No description available.

#### Signals

###### Shell.WindowTracker::startup-sequence-changed

No description available.

###### Shell.WindowTracker::tracked-windows-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ShellWindowTrackerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.